Subject: Re: How can Zle -U interfere with zsh-syntax-highlighting?
From: Sebastian Gniazdowski <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Wed, 18 May 2016 19:53:57 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On 15 May 2016 at 17:41, Sebastian Gniazdowski <[email-masked]> wrote:
> On 15 May 2016 at 17:24, Sebastian Gniazdowski <[email-masked]> wrote:
>> Luckily, I need LBUFFER+= only in the one tool that works.
>
> To early success call. Suspecting some degree of randomness in this, I
> did test on FreeBSD box and LBUFFER+= doesn't trigger highlighting
> there also in my first tool n-history. :/ Any thoughts where the
> slight cause of "highlight or not" can be located?

Turned out this depends on z-sy-h version. Starting from commit
487b122 doing LBUFFER+= triggers highlighting. Verified on FreeBSD,
Ubuntu, Arch Linux, OS X. However one RHEL/Fedora user still reports
that highlighting isn't triggered.

Best regards,
Sebastian Gniazdowski